SurfaceStatus
Date: 2019-10-22

org.openscience.jmol.app.surfacetool

## Class SurfaceStatus

- java.lang.Object
- - org.openscience.jmol.app.surfacetool.SurfaceStatus

-     public class SurfaceStatus
      extends java.lang.Object

  Class that holds the surface status information that the surface tool needs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `beenSliced`
    `(package private) boolean` | `capOn`
    `(package private) int` | `color`
    `(package private) boolean` | `fillOn`
    `(package private) boolean` | `foundDuringLastSync`
    `(package private) boolean` | `frontonly`
    `(package private) boolean` | `ghostOn`
    `(package private) java.lang.String` | `id`
    `private boolean` | `isShell`
    `(package private) int` | `kind`
    `(package private) int` | `lighting`
    `(package private) int` | `meshColor`
    `(package private) boolean` | `meshOn`
    `(package private) int` | `meshTranslucency`
    `(package private) boolean` | `show`
    `(package private) Slice` | `slice`
    `(package private) int` | `translucency`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SurfaceStatus(Mesh m, int type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateExisting(Mesh m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          java.lang.String id

    - #### kind

          int kind

    - #### color

          int color

    - #### fillOn

          boolean fillOn

    - #### translucency

          int translucency

    - #### meshOn

          boolean meshOn

    - #### meshColor

          int meshColor

    - #### meshTranslucency

          int meshTranslucency

    - #### lighting

          int lighting

    - #### frontonly

          boolean frontonly

    - #### show

          boolean show

    - #### beenSliced

          boolean beenSliced

    - #### capOn

          boolean capOn

    - #### ghostOn

          boolean ghostOn

    - #### foundDuringLastSync

          boolean foundDuringLastSync

    - #### slice

          Slice slice

    - #### isShell

          private boolean isShell

  - ### Constructor Detail

    - #### SurfaceStatus

          public SurfaceStatus(Mesh m,
                               int type)

      Parameters:
        `m` - (mesh) the mesh representing the surface
        `type` - (int) representing the type of surface (eg. pmesh, isosurface...)

  - ### Method Detail

    - #### updateExisting

          public void updateExisting(Mesh m)